<?php 
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Обработчик добавления/редактирования дополнительного свойства узлов структуры.
 * 
 * Файл: /admin/structure/action/add_structure_propertys.php
 * 
 * @author Hostmake LLC
 * @version 5.x
 */
$structure = & singleton('Structure');

// Определяем параметры для вставки
$structure_propertys_name = to_str($_REQUEST['structure_propertys_name']);

$structure_propertys_type = to_int($_REQUEST['structure_propertys_type']);

$structure_propertys_order = to_int($_REQUEST['structure_propertys_order']);

$structure_propertys_xml_name = to_str($_REQUEST['structure_propertys_xml_name']);

switch ($structure_propertys_type)
{
	case 0: // Число
	{
		$structure_propertys_define_value = to_int($_REQUEST['structure_propertys_define_value']);
		break;
	}
	case 7: // Флажок
	{
		if (isset($_REQUEST['information_propertys_items_define_checked_value']))
		{
			$structure_propertys_define_value = 1;
		}
		else
		{
			$structure_propertys_define_value = 0;
		}
		break;
	}
	case 8: // Дата
	{
		$structure_propertys_define_value = to_str($_REQUEST['structure_propertys_date_default_value']);
		break;
	}

	case 9: // ДатаВремя
	{
		$structure_propertys_define_value = to_str($_REQUEST['structure_propertys_datetime_default_value']);
		break;
	}
	default:
	{
		$structure_propertys_define_value = to_str($_REQUEST['structure_propertys_define_value']);
		break;	
	}
}

$structure_propertys_lists_id = to_int($_REQUEST['structure_propertys_lists_id']);

$structure_propertys_information_systems_id = to_int($_REQUEST['structure_propertys_information_systems_id']);

$structure_propertys_id = to_int($_REQUEST['structure_propertys_id']);

$structure_parent_id = to_int($_REQUEST['structure_parent_id']);

$site_id = to_int($_REQUEST['site_id']);

if ($structure->InsertStructurePropertys($structure_propertys_type, $structure_propertys_id, $site_id, $structure_propertys_name, $structure_propertys_type, $structure_propertys_order, $structure_propertys_define_value, $structure_propertys_xml_name, $structure_propertys_lists_id, $structure_propertys_information_systems_id, false))
{
	$structure_propertys_id == 0 ? show_message($GLOBALS['MSG_structure']['add_structure_propertys']) : show_message($GLOBALS['MSG_structure']['edit_structure_propertys']);
}
?>